Debian Bug report logs - #683142
unblock: bdii/5.2.5-2+wheezy3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mattias Ellert <mattias.ellert@fysast.uu.se>

Date: Sun, 29 Jul 2012 05:03:01 UTC

Severity: normal

Tags: moreinfo

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Sun, 29 Jul 2012 05:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Jul 2012 05:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: submit@bugs.debian.org
Subject: unblock: bdii/5.2.12-1
Date: Sun, 29 Jul 2012 06:47:03 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

unblock bdii/5.2.12-1

Hi!

The bdii package was removed from testing due to an RC bug, together
with the packages that depends on it. The 5.2.12-1 update fixes the RC
bug (bug #663444). I would like to request a freeze exception for this
update to allow the bdii package and the packages depending on it to be
part of the release.

	Mattias

[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Sun, 29 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 683142@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Sun, 29 Jul 2012 12:46:07 +0200
On 2012-07-29 06:47, Mattias Ellert wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: freeze-exception
> 
> unblock bdii/5.2.12-1
> 
> Hi!
> 
> The bdii package was removed from testing due to an RC bug, together
> with the packages that depends on it. The 5.2.12-1 update fixes the RC
> bug (bug #663444). I would like to request a freeze exception for this
> update to allow the bdii package and the packages depending on it to be
> part of the release.
> 
> 	Mattias
> 

Why did you include a new upstream release in this?  It makes it harder
for us to review and reduces the chance for you to get the unblock?
Does this upstream release have important bug fixes, if so what are they?

$ diff -Naurp bdii-5.2.5 bdii-5.2.12 \
   | filterdiff  -x '**/.pc/**' -x '**/*.spec' \
   | diffstat
 Makefile                           |   19 +-
 bin/bdii-update                    |    7 -
 debian/bdii.lintian-overrides      |    4
 debian/bdii.postinst               |    6
 debian/bdii.preinst                |   16 ++
 debian/changelog                   |    8 +
 debian/control                     |    4
 debian/copyright                   |   36 +++--
 debian/patches/bdii-default.patch  |   18 +-
 debian/patches/bdii-run-full.patch |  248 [...]
 debian/patches/series              |    8 -
 debian/rules                       |   50 ++++---
 etc/DB_CONFIG                      |   29 ----
 etc/DB_CONFIG_top                  |   15 ++
 etc/bdii-slapd.conf                |   23 +--
 etc/bdii-top-slapd.conf            |   22 +--
 etc/init.d/bdii                    |   39 ++++-
 17 files changed, 308 insertions(+), 244 deletions(-)



--- bdii-5.2.5/debian/bdii.preinst
+++ bdii-5.2.12/debian/bdii.preinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "upgrade" ] ; then
+    if dpkg --compare-versions "$2" lt "5.2.12" ; then
+        # Old versions with slapd configs listed in conffiles
+       if [ -w /var/lib/dpkg/info/bdii.conffiles ] ; then
+           sed -e /bdii-slapd.conf/d -e /bdii-top-slapd.conf/d \
+               -i /var/lib/dpkg/info/bdii.conffiles
+       fi
+       rm -f /etc/bdii/bdii-slapd.conf /etc/bdii/bdii-top-slapd.conf
+    fi
+fi
+
+#DEBHELPER#


I think "dpkg-maintscript-helper rm_conffile" is what you want to be
policy compliant, but I could be wrong.


I haven't read the full diff, so there are possibly more issues lurking
in it.  In its current state, I am not inclined to grant an exception.

~Niels

PS: urgency=high is no effect when the package is not in testing (in
case you weren't aware of it)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Tue, 31 Jul 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 31 Jul 2012 08:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: Niels Thykier <niels@thykier.net>
Cc: 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Tue, 31 Jul 2012 10:49:54 +0200
[Message part 1 (text/plain, inline)]
sön 2012-07-29 klockan 12:46 +0200 skrev Niels Thykier:
> On 2012-07-29 06:47, Mattias Ellert wrote:
> > Package: release.debian.org
> > Severity: normal
> > User: release.debian.org@packages.debian.org
> > Usertags: freeze-exception
> > 
> > unblock bdii/5.2.12-1
> > 
> > Hi!
> > 
> > The bdii package was removed from testing due to an RC bug, together
> > with the packages that depends on it. The 5.2.12-1 update fixes the RC
> > bug (bug #663444). I would like to request a freeze exception for this
> > update to allow the bdii package and the packages depending on it to be
> > part of the release.
> > 
> > 	Mattias
> > 
> 
> Why did you include a new upstream release in this?  It makes it harder
> for us to review and reduces the chance for you to get the unblock?
> Does this upstream release have important bug fixes, if so what are they?

I had been preparing an update to a new upstream release for a long time
before finally making the upload. On several occasions I have completed
a potential update and then looked at the BTS and thought that I should
fix that RC bug before doing the upload. Since fixing the RC bug was not
trivial this always ment that I held off doing the upload. I finally did
fix the RC bug. The fixed package compared to the last package I
prepared and did not upload was really just fixing the RC bug.

The changes in the package between the previous upload and the new one
are very minor. It is true that if you list the files changed the list
is not short, but most of the changed files are in the debian directory.
These changes are there to do the fix of the RC bug, fix some lintian
warnings and update the copyright file to the new recommended format.
The changes to the patches are just dropping the parts of the patches
that were accepted upstream and rebasing the remaining parts.

For the changes to the upstream itself, i.e. the files outside the
debian directory. These are mainly changes to the default configuration
to reduce the memory consumption and to add support for IPv6.

> --- bdii-5.2.5/debian/bdii.preinst
> +++ bdii-5.2.12/debian/bdii.preinst
> @@ -0,0 +1,16 @@
> +#!/bin/sh
> +
> +set -e
> +
> +if [ "$1" = "upgrade" ] ; then
> +    if dpkg --compare-versions "$2" lt "5.2.12" ; then
> +        # Old versions with slapd configs listed in conffiles
> +       if [ -w /var/lib/dpkg/info/bdii.conffiles ] ; then
> +           sed -e /bdii-slapd.conf/d -e /bdii-top-slapd.conf/d \
> +               -i /var/lib/dpkg/info/bdii.conffiles
> +       fi
> +       rm -f /etc/bdii/bdii-slapd.conf /etc/bdii/bdii-top-slapd.conf
> +    fi
> +fi
> +
> +#DEBHELPER#
> 
> 
> I think "dpkg-maintscript-helper rm_conffile" is what you want to be
> policy compliant, but I could be wrong.

Yes this is probably a better idea. I was very happy when I managed to
write a maintainer script that solved the RC bug. But looking at the
code in the dpkg-maintscript-helper script I realize that there are
corner cases that are not properly handled by by script.

> I haven't read the full diff, so there are possibly more issues lurking
> in it.  In its current state, I am not inclined to grant an exception.
> 
> ~Niels
> 
> PS: urgency=high is no effect when the package is not in testing (in
> case you weren't aware of it)

I was not aware. However, the package was in testing until 2 days before
I did the upload. The fact the package was removed made the update very
urgent - and then the urgency is ignored because it was removed....
Well... I don't make the rules.

I can make another update using the dpkg-maintscript-helper script
instead of my own not-so-great fix. If you truly do not want to take
advantage of the fixes for memory usage and IPv6 support I could also
upload a version where I backport the fix for the RC bug to the 5.2.5
version. But I personally think using the new version would be better.
Let me know what you think is petter.

	Mattias

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Mon, 13 Aug 2012 14:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Aug 2012 14:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 683142@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Updated version
Date: Mon, 13 Aug 2012 16:34:13 +0200
[Message part 1 (text/plain, inline)]
retitle 683142 unblock: bdii/5.2.12-2
thanks

An updated package using the dpkg-maintscript-helper script as requested
is now available in unstable.

	Mattias

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'unblock: bdii/5.2.12-2' from 'unblock: bdii/5.2.12-1' Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to control@bugs.debian.org. (Mon, 13 Aug 2012 14:45:14 GMT) Full text and rfc822 format available.

Added indication that bug 683142 blocks 685663 Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to submit@bugs.debian.org. (Thu, 23 Aug 2012 06:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Thu, 23 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 23 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #29 received at 683142@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 685663@bugs.debian.org
Cc: 683142@bugs.debian.org
Subject: Re: Bug#685663: unblock nordugrid-arc/2.0.0-3
Date: Thu, 23 Aug 2012 17:54:27 +0200
[Message part 1 (text/plain, inline)]
Hi Mattias,

Mattias Ellert <mattias.ellert@fysast.uu.se> (23/08/2012):
> The nordugrid-arc 2.0.0-3 package had already migrated to testing before
> the freeze, but was kicked out because a dependency of one of its binary
> packages was removed due to an RC classified bug. That package (bdii)
> has since been fixed and an unblock request for the fix has been filed.

I'm not sure we're going to consider unblocking bdii, at least in its
current form. It looks like a package which pretty much fails to comply
with the freeze policy, so unless you come up with minimal changes to
only fix actual bugs…

(Hint: new upstream release, changing configuration, adding features,
fixing lintian warnings, rewriting copyright, etc. are *not* things to
do in unstable when you have RC bug fixes you want to get into testing.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Mon, 27 Aug 2012 09:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Aug 2012 09:57:07 GMT) Full text and rfc822 format available.

Message #34 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: Cyril Brulebois <kibi@debian.org>
Cc: 683142@bugs.debian.org
Subject: Proposed backport
Date: Mon, 27 Aug 2012 11:55:35 +0200
[Message part 1 (text/plain, inline)]
tor 2012-08-23 klockan 17:54 +0200 skrev Cyril Brulebois:
> Hi Mattias,
> 
> I'm not sure we're going to consider unblocking bdii, at least in its
> current form. It looks like a package which pretty much fails to comply
> with the freeze policy, so unless you come up with minimal changes to
> only fix actual bugs…
> 
> (Hint: new upstream release, changing configuration, adding features,
> fixing lintian warnings, rewriting copyright, etc. are *not* things to
> do in unstable when you have RC bug fixes you want to get into testing.)
> 
> Mraw,
> KiBi.

Thank you for your feedback.

I here attach a debdiff for a proposed backport of the fix to the RC bug
only. Is this an acceptable change?


[bdii_5.2.5-2+wheezy1.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Fri, 31 Aug 2012 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 31 Aug 2012 12:03:03 GMT) Full text and rfc822 format available.

Message #39 received at 683142@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Fri, 31 Aug 2012 14:01:34 +0200
On 2012-07-31 10:49, Mattias Ellert wrote:
> sön 2012-07-29 klockan 12:46 +0200 skrev Niels Thykier:
>> On 2012-07-29 06:47, Mattias Ellert wrote:
>>> Package: release.debian.org
>>> Severity: normal
>>> User: release.debian.org@packages.debian.org
>>> Usertags: freeze-exception
>>>
>>> unblock bdii/5.2.12-1
>>>
>>> Hi!
>>>
>>> The bdii package was removed from testing due to an RC bug, together
>>> with the packages that depends on it. The 5.2.12-1 update fixes the RC
>>> bug (bug #663444). I would like to request a freeze exception for this
>>> update to allow the bdii package and the packages depending on it to be
>>> part of the release.
>>>
>>> 	Mattias
>>>
>>
>> Why did you include a new upstream release in this?  It makes it harder
>> for us to review and reduces the chance for you to get the unblock?
>> Does this upstream release have important bug fixes, if so what are they?
> 

Hi Mattias,

> I had been preparing an update to a new upstream release for a long time
> before finally making the upload. On several occasions I have completed
> a potential update and then looked at the BTS and thought that I should
> fix that RC bug before doing the upload. Since fixing the RC bug was not
> trivial this always ment that I held off doing the upload. I finally did
> fix the RC bug. The fixed package compared to the last package I
> prepared and did not upload was really just fixing the RC bug.
> 

My problem is; this RC bug was reported in March.  It receives no
(public) reply from you until you close it with the 5.2.12-1.
  While you do have a point that conffile handling is not trivial, the
reporter gave you a link to http://wiki.debian.org/DpkgConffileHandling
to assist you.  That page has both the "old school" handling and plenty
of references to the dpkg-maintscript-helper tool.  Failing that, an
email to d-mentors could easily have given you the answer within a day.

Sorry, but I do not buy the 4 month delay for fixing this.

> The changes in the package between the previous upload and the new one
> are very minor. It is true that if you list the files changed the list
> is not short, but most of the changed files are in the debian directory.
> These changes are there to do the fix of the RC bug, fix some lintian
> warnings and update the copyright file to the new recommended format.
> The changes to the patches are just dropping the parts of the patches
> that were accepted upstream and rebasing the remaining parts.
> 

These changes I get and I can (mostly) ignore.  My primary concern is
actually the upstream changes.  Admittedly I am not too pleased with the
dh_pysupport -> dh_python...

> For the changes to the upstream itself, i.e. the files outside the
> debian directory. These are mainly changes to the default configuration
> to reduce the memory consumption and to add support for IPv6.
> 

Those changes sound nice to have, especially lack of IPv6 is in fact
starting to be a bit sad.  The problem here is timing; during the freeze
we have to manually review this stuff.

>> [...]
> 
>> I haven't read the full diff, so there are possibly more issues lurking
>> in it.  In its current state, I am not inclined to grant an exception.
>>
>> ~Niels
>>
>> PS: urgency=high is no effect when the package is not in testing (in
>> case you weren't aware of it)
> 
> I was not aware. However, the package was in testing until 2 days before
> I did the upload. The fact the package was removed made the update very
> urgent - and then the urgency is ignored because it was removed....
> Well... I don't make the rules.
> 

Urgency describes how important it is for people to upgrade their
package.  If bdii had still been in testing, the urgency would have made
(partly?) sense...  Anyway, it is hardly a problem, so just a FYI.  :)

> I can make another update using the dpkg-maintscript-helper script
> instead of my own not-so-great fix. If you truly do not want to take
> advantage of the fixes for memory usage and IPv6 support I could also
> upload a version where I backport the fix for the RC bug to the 5.2.5
> version. But I personally think using the new version would be better.
> Let me know what you think is petter.
> 
> 	Mattias
> 

Please do not get me wrong; I like improvements as much as every one
else, but I don't like having to manually review them.

I believe the RC bug fix on 5.2.5-2 should be reasonable sane and lets
take that as a starting point.

~Niels




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Wed, 05 Sep 2012 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 05 Sep 2012 11:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 683142@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Wed, 05 Sep 2012 13:24:01 +0200
[Message part 1 (text/plain, inline)]
fre 2012-08-31 klockan 14:01 +0200 skrev Niels Thykier:
> 
> I believe the RC bug fix on 5.2.5-2 should be reasonable sane and lets
> take that as a starting point.
> 
> ~Niels

bdii_5.2.5-2+wheezy1 was uploaded to testing-proposed-updates.

	Mattias

[smime.p7s (application/x-pkcs7-signature, attachment)]

Changed Bug title to 'unblock: bdii/5.2.5-2+wheezy1' from 'unblock: bdii/5.2.12-2' Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to control@bugs.debian.org. (Thu, 13 Sep 2012 12:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Thu, 13 Sep 2012 14:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 13 Sep 2012 14:45:13 GMT) Full text and rfc822 format available.

Message #51 received at 683142@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>
Cc: 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Thu, 13 Sep 2012 16:40:34 +0200
clone 683142 -1
reassign -1 bdii
retitle -1 bdii: configuration files does not preserve local changes
severity -1 serious
user release.debian.org@packages.debian.org
usertags -1 =
block 683142 by -1
thanks

On 2012-09-05 13:24, Mattias Ellert wrote:
> fre 2012-08-31 klockan 14:01 +0200 skrev Niels Thykier:
>>
>> I believe the RC bug fix on 5.2.5-2 should be reasonable sane and lets
>> take that as a starting point.
>>
>> ~Niels
> 
> bdii_5.2.5-2+wheezy1 was uploaded to testing-proposed-updates.
> 
> 	Mattias
> 

Hi,

Ansgar just pointed out that the fix for #663444 is RC-buggy on its own,
which I missed in my previous review.  Since bdii/5.2.5-2+wheezy1 is
currently in NEW I cannot actually see its content, but I assuming you
applied the same fix as you did in 5.2.12-2.

bdii/5.2.12-2 ships its configuration files as /usr/share/bdii/ and have
symlinks in /etc/bdii/ pointing to the files in /usr/share/bdii.

According to Policy §10.7.2, this should be reversed (i.e. symlinks in
/usr/share/bdii and real files in /etc).  The current setup also
violates §10.7.3[1].
  Furthermore, the postinst script modifies one of the files in
/usr/share/bdii, which if not RC will at the very least triggers debsums
warnings.


I believe a correct solution would be to ship the files in
/usr/share/bdii and remove the symlink(s) in /etc/bdii.  In the
postinst, generate the config files in /etc/bdii using sed (ucf can help
you to ensure local changes are preserved).
  Also, I could be wrong, but it looks like a new password is generated
each time the script is run.  If so, the script you probably want to add
a guard or two to ensure the postinst is idempotent as required by §6.2.

Please fix this in unstable first.

Sorry,
~Niels

[1] In particular:

"""
  * local changes must be preserved during a package upgrade, and

  * configuration files must be preserved when the package is removed,
    and only deleted when the package is purged.
"""

http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files




Bug 683142 cloned as bug 687534 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 683142: 687534 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'unblock: bdii/5.2.5-2+wheezy2' from 'unblock: bdii/5.2.5-2+wheezy1' Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to control@bugs.debian.org. (Mon, 17 Sep 2012 14:00:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'unblock: bdii/5.2.5-2+wheezy3' from 'unblock: bdii/5.2.5-2+wheezy2' Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to control@bugs.debian.org. (Thu, 25 Oct 2012 07:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Fri, 02 Nov 2012 20:39:03 GMT) Full text and rfc822 format available.

Message #62 received at 683142@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 683142@bugs.debian.org
Subject: Re: unblock: bdii/5.2.5-2+wheezy3
Date: Fri, 02 Nov 2012 21:37:32 +0100
I have accepted bdii/5.2.5-2+wheezy3 from NEW, however there are still
some things that maybe should be improved:

There is an empty /etc/sysconfig directory.

The postinst uses chown on files in non-root-owned directories.

I am not sure if including the symlink
/var/lib/bdii/gip/ldif/default.ldif -> /usr/share/bdii/default.ldif is
correct.

Ansgar



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Thu, 03 Jan 2013 07:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 03 Jan 2013 07:30:06 GMT) Full text and rfc822 format available.

Message #67 received at 683142@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>
Cc: 683142@bugs.debian.org
Subject: Re: unblock: bdii/5.2.5-2+wheezy3
Date: Wed, 2 Jan 2013 23:25:58 -0800
tags 683142 + moreinfo
quit

Hi Matthias,

In November, Ansgar Burchardt wrote:

> I have accepted bdii/5.2.5-2+wheezy3 from NEW, however there are still
> some things that maybe should be improved:
>
> There is an empty /etc/sysconfig directory.
>
> The postinst uses chown on files in non-root-owned directories.
>
> I am not sure if including the symlink
> /var/lib/bdii/gip/ldif/default.ldif -> /usr/share/bdii/default.ldif is
> correct.

The above message was to bug#683142, and I'm not sure if you received
it.

Any news?  Is the version of bdii currently in tpu the right one for
wheezy, or are there more updates coming?

Thanks,
Jonathan



Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 03 Jan 2013 07:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Sun, 03 Mar 2013 21:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 03 Mar 2013 21:24:06 GMT) Full text and rfc822 format available.

Message #74 received at 683142@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 683142@bugs.debian.org, Mattias Ellert <mattias.ellert@fysast.uu.se>
Subject: Re: Bug#683142: unblock: bdii/5.2.5-2+wheezy3
Date: Sun, 03 Mar 2013 22:21:28 +0100
Hi,

Jonathan Nieder wrote (03 Jan 2013 07:25:58 GMT) :
> Any news?  Is the version of bdii currently in tpu the right one for
> wheezy, or are there more updates coming?

Given there's been no feedback from Mattias on this bug since October,
and bdii hasn't been in testing since July, I recommend the release
team rejects this unblock request.

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sun, 17 Mar 2013 15:12:18 GMT) Full text and rfc822 format available.

Notification sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Bug acknowledged by developer. (Sun, 17 Mar 2013 15:12:18 GMT) Full text and rfc822 format available.

Message #79 received at 683142-done@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: intrigeri <intrigeri@debian.org>, 683142-done@bugs.debian.org
Cc: Mattias Ellert <mattias.ellert@fysast.uu.se>
Subject: Re: Bug#683142: unblock: bdii/5.2.5-2+wheezy3
Date: Sun, 17 Mar 2013 15:11:36 +0000
[Message part 1 (text/plain, inline)]
On Sun, Mar 03, 2013 at 10:21:28PM +0100, intrigeri wrote:
> Hi,
> 
> Jonathan Nieder wrote (03 Jan 2013 07:25:58 GMT) :
> > Any news?  Is the version of bdii currently in tpu the right one for
> > wheezy, or are there more updates coming?
> 
> Given there's been no feedback from Mattias on this bug since October,
> and bdii hasn't been in testing since July, I recommend the release
> team rejects this unblock request.

Agreed.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Apr 2013 07:30:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:43:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.